/* Style the axes and labels for visualizations.
   Curran Kelleher March 2015 */


/* Make the container fill the page. */
body {
  background-color: black;
}

#container {
  position: fixed;
  left: 0px;
  right: 0px;
  top: 0px;
  bottom: 0px;
}

#gear {
  position: fixed;
  right: 0px;
  top: 0px;
  background-color: gray;
  border-radius: 20px;
}
#gear:hover {
  background-color: lightgray;
}
#gear:active {
  background-color: gray;
}

/* Tick mark labels */
.axis .tick text {
  font: 8pt sans-serif;
  fill: white;
}

/* Axis labels */
.axis text {
  font: 14pt sans-serif;
  fill: white;
}

/* Lines within axes. */
.axis path,
.axis line {
  fill: none;
  stroke: gray;
  shape-rendering: crispEdges;
}

/* Lines within the line chart. */
.line {
  fill: none;
  stroke-width: 3px;
}

/* Style the title text at the top of the visualization. */
.title-text {
  text-anchor: middle;
  font: 20pt sans-serif;
  fill: white;
}

.hover-line {
  stroke: white;
  stroke-width: 2px;
}
